routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/{lang}', 'LocaleController@index');

Route::get('/', function () {
    return view('home');
})->middleware('auth');


Route::group(['middleware' => 'auth', 'prefix' => 'admin'], function () {
    Route::resource('companies', 'CompanyController');
    Route::resource('employees', 'EmployeeController');
});




Route::get('mailable', function () {

    return new App\Mail\NewCompanyNotification;
});

app/Employee.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $fillable = ['first_name', 'last_name', 'email', 'phone', 'company_id'];

    public function company(){
        return $this->belongsTo(Company::class);
    }

}

app/Http/Controllers/EmployeeController.php
<?php

namespace App\Http\Controllers;

use App\Employee;
use App\Company;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class EmployeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $pageTitle = 'List of Employees';
        
        return view('admin.employees.index', ['employees' => Employee::with('company')->paginate(10), 'pageTitle' => $pageTitle]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $pageTitle = 'Create Employee';
        $companies = Company::get();
        return view('admin.employees.form', ['pageTitle' => $pageTitle, 'companies' => $companies]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'first_name' => 'required',
            'last_name' => 'required',
        ]);

        DB::transaction(function () use ($request){
            $employee = new Employee([
            "first_name" => $request->get('first_name'),
            "last_name" => $request->get('last_name'),
            "company_id" => $request->get('company_id'),
            "email" => $request->get('email'),
            "phone" => $request->get('phone'),
        ]);
            $employee->save();
        });

        return redirect(route('employees.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Employee  $employee
     * @return \Illuminate\Http\Response
     */
    public function show(Employee $employee)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Employee  $employee
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $employee = Employee::find($id);
        $pageTitle = 'Edit Employee';
        $companies = Company::get();

        return view('admin.employees.form', ['employee' => $employee, 'companies' => $companies, 'pageTitle' => $pageTitle]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Employee  $employee
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $validatedData = $request->validate([
            'first_name' => 'required',
            'last_name' => 'required',
        ]);

        DB::transaction(function () use ($request, $id){
            $employee = Employee::find($id);
            $employee->first_name = $request->get('first_name');
            $employee->last_name = $request->get('last_name');
            $employee->company_id = $request->get('company_id');
            $employee->email = $request->get('email');
            $employee->phone = $request->get('phone');
            $employee->save();
        });

        return redirect(route('employees.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Employee  $employee
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::transaction(function () use ($id){
            Employee::find($id)->delete($id);
        });
    }
}

resources/views/admin/employees/form.blade.php
@extends('adminlte::page')

@section('title', isset($employee) ? __('employee.title_edit') : __('employee.title_create'))

@section('content_header')
<h1>{{isset($employee) ? __('employee.title_edit') : __('employee.title_create')}}</h1>
@stop

@section('content')
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<form method="post" action="{{isset($employee) ? route('employees.update', ['id'=>$employee->id]) : route('employees.store')}}" enctype="multipart/form-data">
@csrf
@if(isset($employee))
@method('PATCH')
@endif
<div class="form-group">
    <label for="firstNameInput">First Name <span class="text-danger">*</span></label>
    <input type="text" class="form-control" id="firstNameInput" placeholder="First Name" name="first_name" value="{{$employee->first_name ?? ''}}">
  </div>
  <div class="form-group">
    <label for="lastNameInput">Last Name <span class="text-danger">*</span></label>
    <input type="text" class="form-control" id="lastNameInput" placeholder="Last Name" name="last_name" value="{{$employee->last_name ?? ''}}">
  </div>
  <div class="form-group">
    <label for="companyInput">Company {{$employee->company_id ?? ''}}</label>
    <select class="form-control" id="companyInput" name="company_id">
      <option value="''" disabled selected value>Choose company</option>
      @foreach($companies as $company)
      <option value="{{ $company->id}}" {{ ( isset($employee->company_id) && $employee->company_id == $company->id) ? 'selected' : '' }}>{{$company->name}}</option>
      @endforeach
    </select>
  </div>
  <div class="form-group">
    <label for="emailInput">Email</label>
    <input type="email" class="form-control" id="emailInput" name="email" placeholder="Email " value="{{$employee->email ?? ''}}">
  </div>
  <div class="form-group">
    <label for="phoneInput">Phone <span class="text-danger"></span></label>
    <input type="text" class="form-control" id="phoneInput" placeholder="Enter Phone" name="phone" value="{{$employee->phone ?? ''}}">
  </div>
  <button type="submit" class="btn btn-primary">@lang('employee.submit')</button>

</form>
@stop

resources/views/admin/employees/index.blade.php
@extends('adminlte::page')

@section('title', __('employee.title'))

@section('content_header')
    <h1>@lang('employee.title_index')</h1>
@stop

@section('content')
<a class="btn btn-primary" href="{{ route('employees.create') }}">@lang('employee.title_create')</a>
    <table id="myTable"  class="stripe">
        <thead>
    <tr>
            <td>First Name</td>
            <td>Last Name</td>
            <td>Company</td>
            <td>Email</td>
            <td>Phone</td>
            <td>Action</td>
    </tr>
    </thead>
    <tbody>
    @foreach($employees as $employee)
        <tr>
            <td>{{$employee->first_name}}</td>
            <td>{{$employee->last_name}}</td>
            <td>{{$employee->company ? $employee->company->name : ''}}</td>
            <td>{{$employee->email}}</td>
            <td>{{$employee->phone}}</td>
            <td><a class="btn btn-success" href="{{ route('employees.edit', ['id'=>$employee->id]) }}">@lang('employee.edit')</a> 
            <button class="btn btn-danger deleteBtn" data-id="{{$employee->id}}">@lang('employee.delete')</button></td>
        </tr>
    @endforeach
    </tbody>
    </table>
   

    {{ $employees->links() }}
@stop

@section('js')
<script>
$(document).ready( function () {
    $('#myTable').DataTable({
        "bPaginate": false,
        "bLengthChange": false,
        "searching": false, 
        "columnDefs": [
        {"className": "dt-center", "targets": "_all"}
      ],
    });

    $('.deleteBtn').click(function(){
        Swal.fire({
            title: "{{__('validation.confirmation')}}",
            text: "{{__('validation.confirmation_sub')}}",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: "{{__('validation.delete_btn')}}",
            cancelButtonText: "{{__('validation.cancel_btn')}}"
            }).then((result) => {
            if (result.value) {
                var id = $(this).data("id");
                $.ajax(
                {
                    url: "  employees/"+id,
                    type: 'DELETE',
                    data: {
                        "id": id,
                        "_token": "{{ csrf_token() }}",
                    },
                    success: function (){
                        Swal.fire(
                        "{{__('validation.deleted')}}",
                        "{{__('validation.deleted_sub')}}",
                        'success'
                        ).then(function(){
                            window.location = '/admin/employees';
                        })
                    }
                });
           
            }
        })
    })

} );
</script>
@stop